"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

require("./AddressBox.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var AddressBox =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(AddressBox, _Modularity$Module);

  function AddressBox(props) {
    _classCallCheck(this, AddressBox);

    return _possibleConstructorReturn(this, _getPrototypeOf(AddressBox).call(this, props));
  }

  _createClass(AddressBox, [{
    key: "render",
    value: function render() {
      var _this = this;

      var address = this.Address.value;
      return _react.default.createElement(_reactMaterialize.Collection, {
        header: _react.default.createElement("div", null, _react.default.createElement("div", {
          className: "AddressName"
        }, address.name), _react.default.createElement("div", {
          className: "icons"
        }, this.props.onEdit && _react.default.createElement("i", {
          className: "fa fa-edit",
          onClick: function onClick(e) {
            return _this.props.onEdit && e.stopPropagation() || _this.props.onEdit(_this.Address.value);
          }
        }), this.props.onDelete && _react.default.createElement("i", {
          className: "fa fa-trash",
          onClick: function onClick(e) {
            return _this.props.onDelete && e.stopPropagation() || _this.props.onDelete(_this.Address.value);
          }
        }))),
        className: "AddressBox " + (this.Selected.value ? 'selected' : ''),
        onClick: function onClick() {
          return _this.onSelect.set(address);
        }
      }, _react.default.createElement(_reactMaterialize.CollectionItem, null, address.address), _react.default.createElement(_reactMaterialize.CollectionItem, null, address.postalcode), _react.default.createElement(_reactMaterialize.CollectionItem, null, address.city, " "), _react.default.createElement(_reactMaterialize.CollectionItem, null, address.state));
    }
  }]);

  return AddressBox;
}(_modularityFront.default.Module);

AddressBox.Inputs = {
  Address: {
    type: Module.Types.Object
  },
  Selected: {
    type: Module.Types.Boolean
  }
};
AddressBox.Outputs = {
  onSelect: {}
};
AddressBox.Category = "Nikatlas";
var _default = AddressBox;
exports.default = _default;