"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

require("./ClientForm.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var ClientForm =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(ClientForm, _Modularity$Module);

  function ClientForm(props) {
    var _this;

    _classCallCheck(this, ClientForm);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ClientForm).call(this, props));
    _this.state = {};

    _this.FormInputs.onUpdate(function (e) {
      return _this.updateState();
    });

    return _this;
  }

  _createClass(ClientForm, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      _get(_getPrototypeOf(ClientForm.prototype), "componentDidMount", this).call(this); // must call 


      this.updateState();
    }
  }, {
    key: "updateState",
    value: function updateState() {
      var _this2 = this;

      Object.keys(this.FormInputs.value).map(function (key, index) {
        _this2.setState(_defineProperty({}, key, _this2.FormInputs.value[key].value));
      });
      this.forceUpdate();
    }
  }, {
    key: "submitData",
    value: function submitData(e) {
      e.preventDefault();
      this.formData.set(this.state);
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      var data = Object.keys(this.FormInputs.value).map(function (key, index) {
        var input = _this3.FormInputs.value[key];
        return _react.default.createElement(_reactMaterialize.Row, null, _react.default.createElement(_reactMaterialize.Col, {
          s: 1
        }), _react.default.createElement(_reactMaterialize.Col, {
          className: "client_info",
          s: 2
        }, input.required ? _react.default.createElement("span", {
          className: "required"
        }, "*") : '', " ", key), _react.default.createElement(_reactMaterialize.Col, {
          s: 9
        }, _react.default.createElement("input", {
          onChange: function onChange(e) {
            return _this3.setState(_defineProperty({}, key, e.target.value));
          },
          key: index
        })));
      });
      return _react.default.createElement("div", null, _react.default.createElement("form", {
        className: "client_form"
      }, data), _get(_getPrototypeOf(ClientForm.prototype), "render", this).call(this));
    }
  }]);

  return ClientForm;
}(_modularityFront.default.Module);

ClientForm.EditPosition = "top-right";
ClientForm.Inputs = {
  FormInputs: {
    type: Module.Types.Object,
    defaultValue: {}
  }
};
ClientForm.Outputs = {
  //
  formData: {}
};
ClientForm.Category = "sxoinas";
var _default = ClientForm;
exports.default = _default;