"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _googleMapReact = _interopRequireDefault(require("google-map-react"));

require("./GoogleMap.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var GoogleMapModule =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(GoogleMapModule, _Modularity$Module);

  function GoogleMapModule(props) {
    var _this;

    _classCallCheck(this, GoogleMapModule);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(GoogleMapModule).call(this, props));
    console.log();
    return _this;
  }

  _createClass(GoogleMapModule, [{
    key: "render",
    value: function render() {
      return _react.default.createElement("div", {
        className: "GoogleMap " + this.className.value
      }, _react.default.createElement(_googleMapReact.default, {
        bootstrapURLKeys: {
          key: this.APIKey.value
        },
        defaultCenter: this.center.value,
        defaultZoom: this.zoom.value
      }, _react.default.createElement("img", {
        className: "marker",
        lat: this.center.value.lat,
        lng: this.center.value.lng,
        src: "/marker.png"
      })), _get(_getPrototypeOf(GoogleMapModule.prototype), "render", this).call(this));
    }
  }]);

  return GoogleMapModule;
}(_modularityFront.default.Module);

GoogleMapModule.Inputs = {
  center: {
    type: Module.Types.Object,
    defaultValue: {
      lat: 38.0402228,
      lng: 23.6910616
    }
  },
  zoom: {
    type: Module.Types.Text,
    defaultValue: 18
  },
  APIKey: {
    type: Module.Types.Text,
    defaultValue: "AIzaSyAl12iHrDKuqZvduxyP6PkT9i4CMvn7Ku0"
  },
  className: {
    type: Module.Types.Text
  }
};
GoogleMapModule.Outputs = {};
GoogleMapModule.Category = "sxoinas";
var _default = GoogleMapModule;
exports.default = _default;