"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var HorizontalCard =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(HorizontalCard, _Modularity$Module);

  function HorizontalCard(props) {
    _classCallCheck(this, HorizontalCard);

    return _possibleConstructorReturn(this, _getPrototypeOf(HorizontalCard).call(this, props));
  }

  _createClass(HorizontalCard, [{
    key: "addProd",
    value: function addProd(e) {
      e.preventDefault();
      var prod = {
        id: this.props.id,
        name: this.CardTitle.value,
        price: this.Price.value,
        quantity: 1
      };
      this.product.set(prod);
    }
  }, {
    key: "render",
    value: function render() {
      var CardButton = this.CardButton.value;
      return _react.default.createElement(_reactMaterialize.Row, null, _react.default.createElement(_reactMaterialize.Col, {
        m: 6,
        s: 12
      }, _react.default.createElement(_reactMaterialize.Card, {
        horizontal: true,
        header: _react.default.createElement(_reactMaterialize.CardTitle, {
          image: '/card.jpg'
        }),
        actions: [_react.default.createElement("a", null)]
      }, "Here is the standard card with a horizontal image.")));
    }
  }]);

  return HorizontalCard;
}(_modularityFront.default.Module);

HorizontalCard.Inputs = {
  CardTitle: {
    type: Module.Types.Text,
    defaultValue: "Some test title"
  },
  CardBody: {
    type: Module.Types.Text,
    defaultValue: "I am a very simple card. I am good at containing small bits of information. I am convenient because I require little markup to use effectively."
  },
  CardImage: {
    type: Module.Types.Text,
    defaultValue: "/card.jpg"
  },
  Price: {
    type: Module.Types.Number,
    defaultValue: 12
  },
  CardButton: {
    //should be boolean if we have just add 
    type: Module.Types.Text,
    defaultValue: true
  }
};
HorizontalCard.Outputs = {
  product: {}
};
HorizontalCard.Category = "sxoinas";
var _default = HorizontalCard;
exports.default = _default;