"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

var _SideNav = _interopRequireDefault(require("./SideNav"));

var _AppBar = _interopRequireDefault(require("@material-ui/core/AppBar"));

var _Toolbar = _interopRequireDefault(require("@material-ui/core/Toolbar"));

var _Typography = _interopRequireDefault(require("@material-ui/core/Typography"));

var _Button = _interopRequireDefault(require("@material-ui/core/Button"));

var _IconButton = _interopRequireDefault(require("@material-ui/core/IconButton"));

var _Menu = _interopRequireDefault(require("@material-ui/icons/Menu"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;
var Link = _modularityFront.default.Modules.Link;

var NavbarModule =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(NavbarModule, _Modularity$Module);

  function NavbarModule(props) {
    var _this;

    _classCallCheck(this, NavbarModule);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(NavbarModule).call(this, props));
    _this.state = {};
    return _this;
  }

  _createClass(NavbarModule, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      var Img = _react.default.createElement("img", {
        src: this.logo.value,
        style: {
          height: 50
        }
      }); // return  <Navbar className={this.class.value} brand={Img} 
      // 	alignLinks={this.position.value}>
      // 		{this.props.children}
      //     	{(this.headers.value || []).map((item,index) => 
      // 			<Link link={this.links.value[index]} key={index}>{item}</Link>
      // 		)}	
      // 	</Navbar>
      // 	;


      var navItems = _toConsumableArray((this.headers.value || []).map(function (item, index) {
        return {
          content: item,
          link: _this2.links.value[index]
        };
      }));

      return _react.default.createElement("div", {
        style: {
          flexGrow: 1
        }
      }, _react.default.createElement(_AppBar.default, {
        position: "static",
        className: "Navbar " + this.class.value
      }, _react.default.createElement(_Toolbar.default, null, _react.default.createElement("div", {
        className: 'hide-on-large-only'
      }, _react.default.createElement(_SideNav.default, {
        trigger: _react.default.createElement(_IconButton.default, {
          color: "inherit",
          "aria-label": "Menu",
          style: {
            marginLeft: -12,
            marginRight: 20
          }
        }, _react.default.createElement(_Menu.default, null)),
        SideNavItems: navItems
      })), _react.default.createElement(Link, {
        link: "home"
      }, Img), _react.default.createElement(_Typography.default, {
        variant: "h6",
        color: "inherit",
        style: {
          flexGrow: 1
        }
      }, this.brand.value), _react.default.createElement("span", {
        style: {
          padding: "0 10px",
          display: 'none'
        },
        className: 'nav-text show-on-large'
      }, (this.headers.value || []).map(function (item, index) {
        return _react.default.createElement(Link, {
          link: _this2.links.value[index],
          key: index
        }, _react.default.createElement(_Button.default, {
          key: index
        }, item));
      })), this.props.children.map(function (item, index) {
        return _react.default.createElement("span", {
          key: index,
          className: "nav-text"
        }, item);
      }), _get(_getPrototypeOf(NavbarModule.prototype), "render", this).call(this, false))));
    }
  }]);

  return NavbarModule;
}(_modularityFront.default.Module);

NavbarModule.EditPosition = "top-right";
NavbarModule.Inputs = {
  logo: {
    type: Module.Types.Text,
    defaultValue: 'favicon.ico'
  },
  brand: {
    type: Module.Types.Text,
    defaultValue: 'Bootstrap'
  },
  headers: {
    type: Module.Types.Array,
    defaultValue: ['Home', 'Test', 'Contact'],
    arrType: Module.Types.Text
  },
  links: {
    type: Module.Types.Array,
    defaultValue: ['home', 'test', 'contact'],
    arrType: Module.Types.Text
  },
  class: {
    type: Module.Types.Text,
    defaultValue: "blue-grey lighten-4"
  },
  position: {
    type: Module.Types.Text,
    defaultValue: "right"
  }
};
NavbarModule.Category = "sxoinas";
var _default = NavbarModule;
exports.default = _default;