"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

require("./Filter.css");

var _ckeditor4React = _interopRequireDefault(require("ckeditor4-react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

// import ClassicEditor from '@ckeditor/ckeditor5-build-classic';
_ckeditor4React.default.editorUrl = 'https://cdn.ckeditor.com/4.11.4/full-all/ckeditor.js';
var Module = _modularityFront.default.Module;

var Editor =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(Editor, _Modularity$Module);

  function Editor(props) {
    var _this;

    _classCallCheck(this, Editor);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(Editor).call(this, props));
    _this.state = _objectSpread({}, props.filter, {
      value: ''
    });
    return _this;
  }

  _createClass(Editor, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement("div", {
        className: this.className.value
      }, _react.default.createElement("span", null, this.Name.value), _react.default.createElement(_ckeditor4React.default // editor={ ClassicEditor }
      , {
        data: this.data.value,
        onInit: function onInit(editor) {// You can store the "editor" and use when it is needed.
          // console.log( 'Editor is ready to use!', editor );
        },
        onChange: function onChange(event, editor) {
          var data = event.editor.getData(); // console.log( { event, editor, data } );

          _this2.onChange.set(data);
        },
        onBlur: function onBlur(editor) {// console.log( 'Blur.', editor );
        },
        onFocus: function onFocus(editor) {// console.log( 'Focus.', editor );
        }
      }));
    }
  }]);

  return Editor;
}(_modularityFront.default.Module);

Editor.Inputs = {
  data: {
    type: Module.Types.Object
  },
  Name: {
    type: Module.Types.Text
  },
  className: {
    type: Module.Types.Text
  }
};
Editor.Outputs = {
  onChange: {}
};
Editor.Category = 'Nikatlas';
var _default = Editor;
exports.default = _default;