"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _AddressBox = _interopRequireDefault(require("./AddressBox"));

var _ArraySelector = _interopRequireDefault(require("./ArraySelector"));

var _Card = _interopRequireDefault(require("./Card"));

var _Carousel = _interopRequireDefault(require("./Carousel"));

var _CarouselPanel = _interopRequireDefault(require("./CarouselPanel"));

var _Chip = _interopRequireDefault(require("./Chip"));

var _ClientForm = _interopRequireDefault(require("./ClientForm"));

var _CustomTable = _interopRequireDefault(require("./CustomTable"));

var _FileUploader = _interopRequireDefault(require("./FileUploader"));

var _FilterModule = _interopRequireDefault(require("./FilterModule"));

var _Import = _interopRequireDefault(require("./Import"));

var _Modal = _interopRequireDefault(require("./Modal"));

var _miniCart = _interopRequireDefault(require("./mini-cart"));

var _MyAutocomplete = _interopRequireDefault(require("./MyAutocomplete"));

var _Pagination = _interopRequireDefault(require("./Pagination"));

var _NavbarModule = _interopRequireDefault(require("./NavbarModule"));

var _parallax = _interopRequireDefault(require("./parallax"));

var _Product = _interopRequireDefault(require("./Product"));

var _ProductView = _interopRequireDefault(require("./ProductView"));

var _searchbar = _interopRequireDefault(require("./searchbar"));

var _Footer = _interopRequireDefault(require("./Footer"));

var _SideNav = _interopRequireDefault(require("./SideNav"));

var _Stepper = _interopRequireDefault(require("./Stepper"));

var _Table = _interopRequireDefault(require("./Table"));

var _TextEditor = _interopRequireDefault(require("./TextEditor"));

var _VerticalNavbar = _interopRequireDefault(require("./VerticalNavbar"));

var _View = _interopRequireDefault(require("./View"));

var _FullScreenContainer = _interopRequireDefault(require("./FullScreenContainer"));

var _GoogleMap = _interopRequireDefault(require("./GoogleMap"));

var _HorizontalCard = _interopRequireDefault(require("./HorizontalCard"));

var _Form = _interopRequireDefault(require("./Form"));

var _AddressBox$ArraySele;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var _default = (_AddressBox$ArraySele = {
  AddressBox: _AddressBox.default,
  ArraySelector: _ArraySelector.default,
  Card: _Card.default,
  Carousel: _Carousel.default,
  CarouselPanel: _CarouselPanel.default,
  Chip: _Chip.default,
  ClientForm: _ClientForm.default,
  CustomTable: _CustomTable.default,
  FileUploader: _FileUploader.default,
  FilterModule: _FilterModule.default,
  Import: _Import.default,
  Modal: _Modal.default,
  MiniCart: _miniCart.default,
  Autocomplete: _MyAutocomplete.default,
  Pagination: _Pagination.default,
  NavbarModule: _NavbarModule.default,
  Parallax: _parallax.default,
  Product: _Product.default,
  ProductView: _ProductView.default,
  Searchbar: _searchbar.default,
  Footer: _Footer.default,
  SideNav: _SideNav.default,
  Stepper: _Stepper.default,
  Table: _Table.default,
  TextEditor: _TextEditor.default,
  VerticalNavbar: _VerticalNavbar.default,
  View: _View.default,
  FullScreenContainer: _FullScreenContainer.default,
  GoogleMap: _GoogleMap.default,
  HorizontalCard: _HorizontalCard.default
}, _defineProperty(_AddressBox$ArraySele, "FilterModule", _FilterModule.default), _defineProperty(_AddressBox$ArraySele, "ProductList", _ProductView.default), _defineProperty(_AddressBox$ArraySele, "FileUploader", _FileUploader.default), _defineProperty(_AddressBox$ArraySele, "Form", _Form.default), _AddressBox$ArraySele);

exports.default = _default;