"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactMaterialize = require("react-materialize");

var _modularityFront = _interopRequireDefault(require("modularity-front"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var ParallaxModule =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(ParallaxModule, _Modularity$Module);

  function ParallaxModule(props) {
    var _this;

    _classCallCheck(this, ParallaxModule);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ParallaxModule).call(this, props));
    _this.state = {};
    return _this;
  }

  _createClass(ParallaxModule, [{
    key: "render",
    value: function render() {
      // const parallax = (this.ParallaxData.value || []).map((item) => {
      //   return(
      //     <div className="row">
      //       <Parallax imageSrc={item.image} />
      //        <div className="">
      //         <h2>{item.header}</h2>
      //         <p className="">{item.body}</p>
      //        </div>
      //     </div>
      //   )
      // })
      var parallax = _react.default.createElement("div", {
        className: "row"
      }, _react.default.createElement(_reactMaterialize.Parallax, {
        imageSrc: this.Image.value
      }), _get(_getPrototypeOf(ParallaxModule.prototype), "render", this).call(this));

      return parallax;
    }
  }]);

  return ParallaxModule;
}(_modularityFront.default.Module);

ParallaxModule.EditPosition = 'top-right';
ParallaxModule.Category = "sxoinas";
ParallaxModule.Inputs = {
  ParallaxData: {
    type: Module.Types.Array,
    defaultValue: [{
      header: "Header of Parallax",
      body: "Parallax is an effect where the background content or image in this case, is moved at a different speed than the foregr",
      image: "parallax1.jpg"
    }, {
      header: "",
      body: "",
      image: "parallax2.jpg"
    }],
    arrType: Module.Types.Object
  },
  Image: {
    type: Module.Types.Text,
    defaultValue: "parallax1.jpg"
  }
};
ParallaxModule.Outputs = {};
var _default = ParallaxModule;
exports.default = _default;