"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

var _Pagination = _interopRequireDefault(require("../../Modules/Pagination"));

var _Card = _interopRequireDefault(require("../../Modules/Card"));

var _Repository = _interopRequireDefault(require("../../Services/Repository"));

var _FilterModule = _interopRequireDefault(require("../../Modules/FilterModule"));

var _Present = _interopRequireDefault(require("../../Modules/Product/Present"));

var _Done = _interopRequireDefault(require("@material-ui/icons/Done"));

var _searchbar = _interopRequireDefault(require("../../Modules/searchbar"));

var _Chip = _interopRequireDefault(require("../../Modules/Chip"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var PrinterPresentPackage =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(PrinterPresentPackage, _Modularity$Module);

  function PrinterPresentPackage(props) {
    var _this;

    _classCallCheck(this, PrinterPresentPackage);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(PrinterPresentPackage).call(this, props));
    _this.state = {
      product: {}
    };
    _this.repo = new _Repository.default('printers');
    _this.productId = _this.RoutingSystem.getRoute().params.printerId;

    _this.repo.get(_this.productId).then(function (product) {
      return _this.setState({
        product: product
      });
    }).catch(function (e) {
      return alert("NOT FOUND");
    });

    return _this;
  }

  _createClass(PrinterPresentPackage, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement("div", {
        className: "PrinterPresentPackage"
      }, _react.default.createElement("div", null, _react.default.createElement(_Present.default, {
        noBuy: true,
        Product: this.state.product,
        addToCart: function addToCart(q) {
          return _this2.AddToCart.set({
            id: _this2.state.product.id,
            name: _this2.state.product.name,
            price: _this2.state.product.price,
            quantity: q
          });
        }
      })), _get(_getPrototypeOf(PrinterPresentPackage.prototype), "render", this).call(this));
    }
  }]);

  return PrinterPresentPackage;
}(_modularityFront.default.Module);

PrinterPresentPackage.EditPosition = "center";
PrinterPresentPackage.Inputs = {};
PrinterPresentPackage.Outputs = {
  AddToCart: {}
};
PrinterPresentPackage.Category = "NikatlasPackages";
var _default = PrinterPresentPackage;
exports.default = _default;