"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _API = _interopRequireDefault(require("./API"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var LoadedModules =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(LoadedModules, _Modularity$Module);

  function LoadedModules(props) {
    var _this;

    _classCallCheck(this, LoadedModules);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(LoadedModules).call(this, props));
    _this.API = new _API.default();

    _this.Modules.set([{
      link: "home",
      text: "Home",
      icon: "fa-home"
    }]);

    _this.API.get('/' + _this.APIURL.value).then(function (data) {
      var modules = data.map(function (item) {
        return {
          link: item.Route,
          text: item.Name,
          icon: item.Icon
        };
      });

      _this.Modules.set(modules);
    }).catch(function () {
      return console.log("NO SERVER");
    });

    return _this;
  }

  _createClass(LoadedModules, [{
    key: "render",
    value: function render() {
      return _react.default.createElement("div", null, this.__renderID(), this.__factoryOutput(this.Modules));
    }
  }]);

  return LoadedModules;
}(_modularityFront.default.Module);

LoadedModules.Outputs = {
  Modules: {}
};
LoadedModules.Inputs = {
  APIURL: {
    type: _modularityFront.default.Module.Types.Text,
    defaultValue: 'CrudModules'
  }
};
LoadedModules.Category = "Services";
var _default = LoadedModules;
exports.default = _default;