"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var ProductService =
/*#__PURE__*/
function (_Modularity$Service) {
  _inherits(ProductService, _Modularity$Service);

  function ProductService(props) {
    var _this;

    _classCallCheck(this, ProductService);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ProductService).call(this, props));

    _this.loadProduct(1);

    _this.input.onUpdate(function (v) {
      _this.loadProduct(v);
    }); //inputs key,function,regex


    _this.RoutingSystem.onRouteChange('ProductService', function () {
      var query = _this.RoutingSystem.getRoute();

      console.log("yeeueyye");

      if (query.params) {
        console.log(query.params.id);

        _this.loadProduct(query.params.id);
      }
    }, '/product/[0-9]+');

    _this.RoutingSystem.onRouteChange('ProductService', function () {
      console.log("something");
    }, '/products/[0-9]+');

    return _this;
  }

  _createClass(ProductService, [{
    key: "loadProduct",
    value: function loadProduct(v) {
      var _this2 = this;

      fetch('/products/' + v).then(function (results) {
        return results.json();
      }).then(function (json) {
        return _this2.product.set(json);
      }).catch(function (e) {
        console.log(e);
      });
    }
  }, {
    key: "render",
    value: function render() {
      var _this3 = this;

      return _react.default.createElement("div", {
        className: "ServiceInfo"
      }, "ID : ", this.__renderID(), _react.default.createElement("div", null, "Data", _react.default.createElement("div", null, _react.default.createElement("input", {
        type: "text",
        onChange: function onChange(e) {
          return _this3.loadProduct(e.target.value);
        },
        name: ""
      })), _react.default.createElement(_modularityFront.default.ModuleUtilities.OutputLink, {
        output: this.product
      }), _get(_getPrototypeOf(ProductService.prototype), "render", this).call(this)));
    }
  }]);

  return ProductService;
}(_modularityFront.default.Service);

ProductService.Outputs = {
  product: {},
  string: {}
};
ProductService.Inputs = {
  input: {
    type: _modularityFront.default.Module.Types.Number
  }
};
ProductService.Category = "Services";
var _default = ProductService;
exports.default = _default;