"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactMaterialize = require("react-materialize");

var _modularityFront = _interopRequireDefault(require("modularity-front"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var ModalModule =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(ModalModule, _Modularity$Module);

  function ModalModule(props) {
    _classCallCheck(this, ModalModule);

    return _possibleConstructorReturn(this, _getPrototypeOf(ModalModule).call(this, props));
  }

  _createClass(ModalModule, [{
    key: "render",
    value: function render() {
      return _react.default.createElement(_reactMaterialize.Modal, {
        fixedFooter: this.ModalFooter.value,
        bottomSheet: this.BottomSheet.value,
        header: this.ModalData.value.header,
        trigger: _react.default.createElement(_reactMaterialize.Button, {
          className: this.Modalbutton.value.style,
          waves: this.Modalbutton.value.waves
        }, this.Modalbutton.value.text)
      }, _react.default.createElement("p", {
        className: this.ModalData.value.bodyStyle
      }, this.ModalData.value.body), _get(_getPrototypeOf(ModalModule.prototype), "render", this).call(this));
    }
  }]);

  return ModalModule;
}(_modularityFront.default.Module);

ModalModule.EditPosition = 'top-right';
ModalModule.Category = "sxoinas";
ModalModule.Inputs = {
  ModalData: {
    type: Module.Types.Object,
    defaultValue: {
      header: "Modal Header",
      headerStyle: "",
      body: "Modal body data will go here",
      bodyStyle: ""
    }
  },
  Modalbutton: {
    type: Module.Types.Object,
    defaultValue: {
      text: "Click me",
      style: "red",
      waves: "light"
    }
  },
  ModalFooter: {
    type: Module.Types.Boolean,
    defaultValue: false
  },
  BottomSheet: {
    type: Module.Types.Boolean,
    defaultValue: false
  }
};
ModalModule.Outputs = {};
var _default = ModalModule;
exports.default = _default;