"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _modularityFront = _interopRequireDefault(require("modularity-front"));

var _reactMaterialize = require("react-materialize");

require("./pagination.css");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _get(target, property, receiver) { if (typeof Reflect !== "undefined" && Reflect.get) { _get = Reflect.get; } else { _get = function _get(target, property, receiver) { var base = _superPropBase(target, property); if (!base) return; var desc = Object.getOwnPropertyDescriptor(base, property); if (desc.get) { return desc.get.call(receiver); } return desc.value; }; } return _get(target, property, receiver || target); }

function _superPropBase(object, property) { while (!Object.prototype.hasOwnProperty.call(object, property)) { object = _getPrototypeOf(object); if (object === null) break; } return object; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

var Module = _modularityFront.default.Module;

var PaginationModule =
/*#__PURE__*/
function (_Modularity$Module) {
  _inherits(PaginationModule, _Modularity$Module);

  function PaginationModule(props) {
    var _this;

    _classCallCheck(this, PaginationModule);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(PaginationModule).call(this, props));
    _this.state = {};

    _this.selected.onUpdate(function () {
      return _this.forceUpdate();
    });

    _this.page.set(_this.selected.value); //this.object.onUpdate((e)=> this.forceUpdate());
    //this.lastPage.onUpdate(() => this.forceUpdate());


    return _this;
  }

  _createClass(PaginationModule, [{
    key: "componentWillReceiveProps",
    value: function componentWillReceiveProps(props) {
      _get(_getPrototypeOf(PaginationModule.prototype), "componentWillReceiveProps", this).call(this, props);
    }
  }, {
    key: "go",
    value: function go(page) {
      this.page.set(page);

      if (this.props.onPage) {
        this.props.onPage(page);
      }
    }
  }, {
    key: "render",
    value: function render() {
      var _this2 = this;

      return _react.default.createElement(_reactMaterialize.Row, null, this.lastPage.value === 0 ? '' : _react.default.createElement(_reactMaterialize.Pagination, {
        className: this.props.className || 'pagination_layout',
        onSelect: function onSelect(e) {
          return _this2.go(e);
        },
        items: this.lastPage.value,
        activePage: this.selected.value,
        maxButtons: 5
      }), _get(_getPrototypeOf(PaginationModule.prototype), "render", this).call(this));
    }
  }]);

  return PaginationModule;
}(_modularityFront.default.Module);

PaginationModule.EditPosition = 'top-right';
PaginationModule.Category = "sxoinas";
PaginationModule.Inputs = {
  selected: {
    type: Module.Types.Number,
    defaultValue: 1
  },
  lastPage: {
    type: Module.Types.Number,
    defaultValue: 0
  }
};
PaginationModule.Outputs = {
  page: {}
};
var _default = PaginationModule;
exports.default = _default;