import React from 'react';
import Modularity from 'modularity-front';
import {Row,Col, Carousel} from 'react-materialize';

let Module = Modularity.Module;

class CarouselModule extends Modularity.Module {
	constructor(props) {
		super(props);
		this.state = {
		}

	}
	render() {
		
		return(
            <Row>
                <Col s={12}>
                    <Carousel className={this.CarouselOptions.value.CarouselClass}
                    images={[this.CarouselImages.value]}
                    />
                    {super.render()}
                    
                </Col>
               </Row>
			);
				    
	}
}


CarouselModule.Inputs = {
	CarouselTitle:{
		type: Module.Types.Text,
		defaultValue:"Product Title"
    },
    CarouselOptions:{
        type:Module.Types.Object,
        defaultValue:{
            fullWidth:false,
            indicators:true,
            CarouselClass:""
        },
        
    },
    CarouselImages:{
        type: Module.Types.Array,
        defaultValue:["car1.jpg","car2.jpg","car3.jpg","car4.jpg"],
        arrType:Module.Types.Text
    }
}

CarouselModule.Category = "sxoinas";
export default CarouselModule;