import React, {component} from 'react';
import { CardTitle,Icon, Button, Card, Row, Col , CardPanel} from 'react-materialize';
import Modularity from 'modularity-front';

const Module = Modularity.Module;
const RS = Modularity.RoutingSystem;

class Product extends Modularity.Module{
	
	constructor(props){
		super(props);
		
	}
	render(){
		
		return(
			<div>
			 	<Card 
				  header={<CardTitle>{this.product.value.title}</CardTitle>}
				  actions={[<a href='#'>This is a Link</a>]}>
					{this.product.value.name}
				</Card>
			 	{super.render()}
		 	</div>
			)
		}
	}

Product.Inputs = {
	...Module.Inputs,
	product: {
		type: Module.Types.Link,
		defaultValue: "",
		comment:"Waiting for body and title"
	}
}


Product.Category = 'sxoinas'


export default Product;




