import React, {component} from 'react';
import { Icon, Button, Card, Row, Col , CardPanel} from 'react-materialize';
import Modularity from 'modularity-front';
let Module = Modularity.Module;

class ProductList extends Modularity.Module{
	
	constructor(props){
		super(props);
		
	}
	render(){
		console.log(this.products.value)
		const prods = this.products.value.map((prod)=> {
			return (
			<Col l={4}>
			    <Card className='blue-grey darken-1' textClassName='white-text' title='Card title'>
			    {prod.name}
			    Arxidies
			    </Card>
			</Col>
			)
		});
		return(
		 	<Row>
		 		{prods}
		 	{super.render()}
		 	</Row>
			)
		}
	}

ProductList.Inputs = {
	...Module.Inputs,
	products: {
		type: Module.Types.Array,
		defaultValue: [{name:"some",price:"some"}]
	}
}

ProductList.Outputs = {
	View: {
	}
}

ProductList.Category = 'sxoinas'


export default ProductList;




