import Dict from '../Inputs/Dictionary';

class Dictionary {
	constructor(data) {
		this.data = {};
		for(var i in data) {
			this.data[i.toLowerCase()] = data[i];
		}
	}

	get(key) {
		return this.data[key.toLowerCase()] || key;
	}
}

export default new Dictionary(Dict);