import Modularity from 'modularity-front';

import Modules from './Modules';
import HigherModules from './HigherModules';
import Services from './Services';
import Packages from './Packages';
import helpers from './helpers';



Modularity.Import.import({
	Modules,
	HigherModules,
	Services,
	Packages,
	Helpers: helpers
}, 'Entry');

Modularity.Entry = {
	Modules,
	HigherModules,
	Services,
	Packages,
	Helpers: helpers
};

export default Modularity;